@import url('variaveis.css');

* {
    font-family: Arial, sans-serif;
}

body {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #1E1E1E;
    padding: 20px;
}

main {
    margin-bottom: 100px;
    width: 100%;
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: 30px;
    max-width: 400px;
    padding: 30px;
    border-radius: 15px; 
    background: #1E1E1E;
    box-shadow: 0 0 15px rgba(0,0,0,.4);
    border: 1px solid #2A2A2A;
}

h1 {
    white-space: nowrap;
    font-size: 40px;
    text-align: center;
    color:#E1E1E1;
    margin-bottom: 50px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

label {
    font-size: 22px;
    color:#E1E1E1;
    margin-bottom: 5px;
}

input {
    background: #2a2a2a;
    color: #888888;
    padding: 15px;
    border: none;
    border-radius: 5px;
    outline: none;
    transition: 0.3s;
}

input:focus {
    box-shadow: 0 0 10px #BB86FC;
}

button {
    margin-right: 40px;
    margin-left: 40px;
    margin-top: 10px;
    padding: 10px;
    border: none;
    border-radius: 8px;
    background-color: #BB86FC; 
    color: white;
    cursor: pointer;
    font-weight: bold;
    transition: 0.3s;
}

button:hover {
    background-color: #9333ea;
}

a {
    margin-top: 10px;
    text-align: center;
    color: #a855f7;
    text-decoration: none;
    font-size: 14px;
}

a:hover {
    text-decoration: underline;
}

.links {
    text-align: center;
    font-size: 14px;
}

.links a {
    color: #a855f7;
    text-decoration: none;
    margin: 0 5px;
}

.links a:hover {
    text-decoration: underline;
}

span {

    background: #1E1E1E;

}

.voltar {
    position: absolute;
    top: 25px;
    left: 30px;
    color: white;
    font-size: 32px;
    text-decoration: none;
}


@media (max-width: 768px) {

    main {
        max-width: 90vw;
        padding: 20px;
        margin-top: 50px;

    }

    h1 {
        font-size: 32px;
        margin-bottom: 35px;
    }

    label {
        font-size: 18px;
    }

    button {
        margin: 10px 0 0 0;
    }

    .voltar {
        left: 20px;
        font-size: 28px;
    }

}